#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamVideoCodec {
    None = 0,
    Raw = 1,
    VP8 = 2,
    VP9 = 3,
    H264 = 4,
    HEVC = 5,
    ORBX1 = 6,
    ORBX2 = 7,
    AV1 = 8,
}

impl EStreamVideoCodec {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Raw as i32 => Some(Self::Raw),
            x if x == Self::VP8 as i32 => Some(Self::VP8),
            x if x == Self::VP9 as i32 => Some(Self::VP9),
            x if x == Self::H264 as i32 => Some(Self::H264),
            x if x == Self::HEVC as i32 => Some(Self::HEVC),
            x if x == Self::ORBX1 as i32 => Some(Self::ORBX1),
            x if x == Self::ORBX2 as i32 => Some(Self::ORBX2),
            x if x == Self::AV1 as i32 => Some(Self::AV1),
            _ => None,
        }
    }
}
